=== debian/changelog ===
nwchem (6.8+47+gitdf6c956-3) unstable; urgency=medium

  * Team upload
  * Use DEB_HOST_MULTIARCH instead of DEB_HOST_GNU_TYPE to fix FTBFS on i386

 -- Graham Inggs <ginggs@debian.org>  Mon, 25 Jun 2018 08:38:05 +0000

nwchem (6.8+47+gitdf6c956-2) unstable; urgency=medium

  [ Drew Parsons ]
  * Remove Build-Depends: libblacs-mpi-dev, instead use versioned
    Build-Depends: libscalapack-mpi-dev (>= 2).
    BLACS is now included in SCALAPACK 2. Closes: #875268.

  [ Michael Banck ]
  * debian/rules (DEB_HOST_GNU_TYPE): New variable.
  * debian/rules (MPI_INCLUDE): update MPI include path with
    $DEB_HOST_GNU_TYPE.
  * debian/rules (NWCHEM_LONG_PATHS): New variable, should allow for longer
    paths (Closes: #722511).
  * debian/rules (override_dh_auto_clean): Remove
    src/config/{NWCHEM_CONFIG,nwchem_config.h} after dh_auto_clean ran
    (Closes: #875267).

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Jun 2018 20:04:18 +0200

nwchem (6.8+47+gitdf6c956-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/16_deterministic_timestamp_in_ar_workaround.patch: Removed,
    no longer needed.
  * debian/patches/17_fix_implicit_conversion_to_pointer.patch: Removed,
    applied upstream.
  * debian/patches/18_upstream_patches.patch: Likewise.
  * debian/patches/19_disable_march_native.patch: Removed, no longer needed.
  * debian/watch: Updated.
  * debian/rules: Enable scalapack.
  * debian/rules (BLAS_LIB, LAPACK_LIB): Set to actual linker flags.
  * debian/control (Build-Depends): Removed texlive-latex-base.
  * debian/nwchem.doc-base: Removed file.
  * debian/nwchem-data.install: No longer install the PDF manual.
  * debian/rules (override_dh_auto_build-indep): Target removed.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 May 2018 14:17:30 +0200

nwchem (6.6+r27746-4) unstable; urgency=medium

  * debian/patches/19_disable_march_native.patch: Remove -mtune=native as well
    (Closes: #844763). 

 -- Michael Banck <mbanck@debian.org>  Sat, 19 Nov 2016 10:26:38 +0100

nwchem (6.6+r27746-3) unstable; urgency=medium

  * debian/control (Description): Move RI-MP2 method to analytical gradients
    section.
  * debian/patches/19_disable_march_native.patch: New patch, disables
    -march=native on amd64, by Edoardo Apra (Closes: #840186).

 -- Michael Banck <mbanck@debian.org>  Fri, 18 Nov 2016 12:20:28 +0100
