=== debian/watch ===
version=3 
opts=uversionmangle=s/(\d+).(\d+)-(\d+)-g([a-f0-9]{7})/$1.$2+$3+git$4/,filenamemangle=s#.*nwchem-.*release.revision-v(\d+).(\d+)-(\d+)-g([a-f0-9]{7})-src\..*\.tar\.bz2#nwchem-$1.$2+$3+git$4.tar.bz2#g \
https://github.com/nwchemgit/nwchem/releases .*/download/.*/nwchem-.*release.revision-v([\d.-]+-g[a-z0-9]+)-src\..*\.tar\.bz2
