=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
                csh,
                debhelper (>= 7.0.50~),
                gfortran,
+               libarmci-mpi-dev,
                libblas-dev,
+               libglobalarrays-dev (>= 5.7-4),
                liblapack-dev,
                libscalapack-mpi-dev (>= 2),
                mpi-default-bin,
