=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,22 @@
 
 ifeq ($(DEB_HOST_ARCH_BITS),64)
 export NWCHEM_TARGET=LINUX64
-export USE_SCALAPACK_I8="yes"
-export BLAS_SIZE=4
-export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
-export BLAS_LIB="-lblas"
-export LAPACK_LIB="-llapack"
 export USE_64TO32="yes"
 else
 export NWCHEM_TARGET=LINUX
+endif
+export BLAS_SIZE=4
 export BLAS_LIB="-lblas"
 export LAPACK_LIB="-llapack"
 export USE_SCALAPACK="yes"
 export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
-endif
 ifeq ($(DEB_HOST_ARCH),armhf)
 export GCC49_ARM_BROKEN="yes"
 endif
 export NWCHEM_TOP=${CURDIR}
 export NWCHEM_MODULES="pnnl"
 export NWCHEM_LONG_PATHS="y"
+export EXTERNAL_GA_PATH=/usr
 export PYTHONVERSION=$(shell pyversions -dv)
 export PYTHONHOME=$(shell python-config --prefix)
 export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
@@ -62,8 +59,6 @@
 export BLASOPT=-lblas -llapack
 export BLACS=$(SCALAPACK)
 export ARMCI_NETWORK=SOCKETS
-export GA_COPT=-g -O2
-export ARMCI_COPT=-g -O2
 export USE_ARUR="yes"
 
 %:
@@ -90,7 +85,7 @@
 	-(cd $(CURDIR)/doc && make realclean)
 	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
 	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
-	rm -f src/util/util_version.F src/stubs.F src/util/util_module_avail.F
+	rm -f src/util/util_version.F src/stubs.F src/util/util_module_avail.F src/util/util_nwchem_version.F
 	find $(CURDIR) -name "*.stamp" | xargs rm -f
 	dh_auto_clean
 	rm -f src/config/NWCHEM_CONFIG src/config/nwchem_config.h
