=== debian/watch ===
version=3 
https://github.com/nwchemgit/nwchem/releases .*/archive/([\d.]+)-release\.tar\.(?:bz2|gz)
